%define rname   rake

Summary:    Simple ruby build program with capabilities similar to make
Name:       ruby-%{rname}
Version:    0.9.2.2
Release:    %mkrel 4
License:    MIT
Group:      Development/Ruby
URL:        http://rake.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{rname}-%{version}.gem
BuildArch:  noarch
BuildRequires: rubygems
BuildRequires: p7zip

%description
This package contains Rake, a simple ruby build program with capabilities
similar to make.


%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

# Install manpage
mkdir -p %{buildroot}%{_mandir}/man1/
# use 7z and not gzip, as the file is corrupted.
# For some reason it works fine with 7z.
7z e doc/%{rname}.1.gz 
install %{rname}.1 %{buildroot}%{_mandir}/man1/rake.1

%files
%{_bindir}/rake
%{_mandir}/man1/%{rname}.1*
%dir %{ruby_gemdir}/gems/%{rname}-%{version}/
%{ruby_gemdir}/gems/%{rname}-%{version}/bin/
%{ruby_gemdir}/gems/%{rname}-%{version}/lib/
%doc %{ruby_gemdir}/doc/%{rname}-%{version}
%doc %{ruby_gemdir}/gems/%{rname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{rname}-%{version}/MIT-LICENSE
%doc %{ruby_gemdir}/gems/%{rname}-%{version}/TODO
%doc %{ruby_gemdir}/gems/%{rname}-%{version}/CHANGES
%doc %{ruby_gemdir}/gems/%{rname}-%{version}/doc/
%{ruby_gemdir}/specifications/%{rname}-%{version}.gemspec


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.9.2.2-4.mga3
+ Revision: 396353
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.2.2-3.mga3
+ Revision: 381336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.9.2.2-2.mga3
+ Revision: 311933
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 0.9.2.2-1.mga3
+ Revision: 256942
- New version
- Spec cleanup

* Tue Jan 18 2011 shikamaru <shikamaru> 0.8.7-3.mga1
+ Revision: 23334
- Clean spec
- fix source link
- kill definition of buildroot
- delete useless provides (automatically added)
- use gem macros to build the package
- imported package ruby-rake

